{
	"format_version" : "1.10.0",
	"animation_controllers" : {
		"controller.animation.mpiglin.no_item": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [ "no_item" ]
				}
				
			}
		},
		"controller.animation.mpiglin.celebrate": {
			"initial_state": "default",
			"states": {
				"default": {
					"blend_transition" : 0.3,
					"transitions": [
						{
							"celebrating" : "query.is_celebrating == 1"
						},
						{
							"celebrating_special": "query.is_celebrating_special == 1"
						}
					]
				},
				"celebrating": {
					"animations": [ "celebrate_hunt" ],
					"blend_transition" : 0.3,
					"transitions": [
						{
							"default": "query.is_celebrating == 0"
						}
					]
				},
				"celebrating_special": {
					"blend_transition" : 0.3,
					"animations": [ "celebrate_hunt_special" ],
					"transitions": [
						{
							"default": "query.is_celebrating_special == 0"
						}
					]
				}
			}
		},
		"controller.animation.mpiglin.attack" : {
			"initial_state" : "default",
			"states" : {
				"ranged_charge" : {
					"animations" : [ "crossbow_charge" ],
					"blend_transition" : 0.2,
					"transitions" : [
						{
							"default" : "variable.attack_state == 0  ||  query.is_admiring ||  query.is_stunned ||  query.is_roaring"
						},
						{
							"ranged_hold" : "variable.attack_state == 1"
						}
					]
				},
				"default" : {
					"blend_transition" : 0.2,
					"transitions" : [
						{
							"ranged_hold" : "variable.has_target && query.mark_variant == 7 && variable.attack_state == 1 && !query.is_admiring && !query.is_stunned && !query.is_roaring"
						},
						{
							"ranged_charge" : "variable.has_target && query.mark_variant == 7 && variable.attack_state == 2 && !query.is_admiring && !query.is_stunned && !query.is_roaring"
						},
						{
							"melee_attack": "variable.has_target && query.mark_variant == 6 && variable.attack_time >= 0.0 && !query.is_admiring && !query.is_stunned && !query.is_roaring"
						}
					]
				},
				"ranged_hold" : {
					"animations" : [ "crossbow_hold" ],
					"blend_transition" : 0.3,
					"transitions" : [
						{
							"default" : "variable.attack_state == 0  ||  query.is_admiring ||  query.is_stunned ||  query.is_roaring"
						},
						{
							"melee_attack": "variable.has_target && query.mark_variant == 6 && variable.attack_time >= 0.0 && !query.is_admiring && !query.is_stunned && !query.is_roaring"
						},
						{
							"ranged_charge" : "variable.attack_state == 2"
						}
					]
				},
				"melee_attack" : {
					"animations": ["melee_attack"],
					"blend_transition" : 0.2,
					"transitions" : [
						{
							"ranged_hold" : "variable.has_target && query.mark_variant == 7 && variable.attack_state == 1 && !query.is_admiring && !query.is_stunned"
						},
						{
							"default" : "!variable.has_target || variable.attack_time < 0.0 ||  query.is_admiring ||  query.is_stunned ||  query.is_roaring"
						}
					]
				}
			}
		},
		"controller.animation.mpiglin.admire" : {
			"initial_state" : "default",
			"states" : {
				"default" : {
					"blend_transition" : 0.3,
					"transitions": [{
						"admiring": "query.is_admiring"
					}]
				},
				"admiring": {
					"animations": ["admire"],
					"blend_transition" : 0.2,
					"transitions": [{
						"default": "!query.is_admiring"
					}]
				}
			}
		}
	}
}
